/*
 *    VisNow
 *    Copyright (C) 2006-2019 University of Warsaw, ICM
 *    Copyright (C) 2020 onward visnow.org
 *    All rights reserved. 
 * 
 *  DO NOT ALTER OR REMOVE COPYRIGHT NOTICES OR THIS FILE HEADER.
 *
 *  This code is free software; you can redistribute it and/or modify it
 *  under the terms of the GNU General Public License version 3, 
 *  or (at your option) any later version, as published by the Free Software Foundation.  
 *  The authors designate this particular file as subject to the "Classpath" exception 
 *  as provided in the LICENSE file that accompanied this code.
 *
 *  This code is distributed in the hope that it will be useful, but WITHOUT
 *  ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
 *  FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
 *  version 3 for more details (a copy is included in the LICENSE file that
 *  accompanied this code).
 *
 *  You should have received a copy of the GNU General Public License version 3
 *  along with this work; if not, see http://www.gnu.org/licenses/gpl-3.0.txt 
 *
 *  Please contact visnow.org or visit www.visnow.org if you need additional information or
 *  have any questions.
 *
 */

package org.visnow.vn.lib.basic.readers.ReadUnknownVolume;

import javax.swing.JFrame;

public class GUI extends javax.swing.JPanel
{

    private JFrame uiFrame = null;

    /**
     * Creates new form GUI
     */
    public GUI()
    {
        initComponents();
    }

    /**
     * This method is called from within the constructor to
     * initialize the form.
     * WARNING: Do NOT modify this code. The content of this method is
     * always regenerated by the Form Editor.
     */
    // <editor-fold defaultstate="collapsed" desc="Generated Code">//GEN-BEGIN:initComponents
    private void initComponents()
    {

        show3DFrameButton = new javax.swing.JButton();

        setLayout(new java.awt.BorderLayout());

        show3DFrameButton.setText("show display frame");
        show3DFrameButton.setMargin(new java.awt.Insets(2, 8, 2, 8));
        show3DFrameButton.setMaximumSize(new java.awt.Dimension(120, 40));
        show3DFrameButton.addActionListener(new java.awt.event.ActionListener()
        {
            public void actionPerformed(java.awt.event.ActionEvent evt)
            {
                show3DFrameButtonActionPerformed(evt);
            }
        });
        add(show3DFrameButton, java.awt.BorderLayout.NORTH);
    }// </editor-fold>//GEN-END:initComponents

    private void show3DFrameButtonActionPerformed(java.awt.event.ActionEvent evt)//GEN-FIRST:event_show3DFrameButtonActionPerformed
    {//GEN-HEADEREND:event_show3DFrameButtonActionPerformed
        uiFrame.setVisible(true);
    }//GEN-LAST:event_show3DFrameButtonActionPerformed

    public void setFinder(JFrame uiFrame)
    {
        this.uiFrame = uiFrame;
    }

    // Variables declaration - do not modify//GEN-BEGIN:variables
    private javax.swing.JButton show3DFrameButton;
    // End of variables declaration//GEN-END:variables

}
